<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.text.Font?>
<?import javafx.scene.text.Text?>

<AnchorPane nodeOrientation="LEFT_TO_RIGHT" prefHeight="550.0" prefWidth="1200.0" stylesheets="@../../Stylesheets/bootstrap.css" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="seng302.GUI.Clinician.OutgoingTabController">
    <children>
        <GridPane prefHeight="600.0" prefWidth="1200.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
            <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0" prefWidth="100.0" />
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0" prefWidth="100.0" />
            </columnConstraints>
            <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            </rowConstraints>
            <children>
                <GridPane>
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints minHeight="10.0" percentHeight="8.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" percentHeight="8.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <TableView fx:id="outgoingNotificationsTable" prefHeight="542.0" prefWidth="512.0" GridPane.rowIndex="2">
                            <columns>
                                <TableColumn fx:id="recipientHospital" prefWidth="75.0" text="To" />
                                <TableColumn fx:id="recipientClinician" prefWidth="75.0" text="Clinician" />
                                <TableColumn fx:id="organSent" prefWidth="75.0" text="Organ" />
                                <TableColumn fx:id="statusCol" prefWidth="75.0" text="Status" />
                            </columns>
                            <columnResizePolicy>
                                <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
                            </columnResizePolicy>
                            <GridPane.margin>
                                <Insets bottom="3.0" left="3.0" right="3.0" top="3.0" />
                            </GridPane.margin>
                        </TableView>
                        <AnchorPane>
                            <children>
                                <Button layoutX="150.0" layoutY="13.0" mnemonicParsing="false" onAction="#createNotification" text="New Notification" AnchorPane.bottomAnchor="2.0" AnchorPane.leftAnchor="150.0" AnchorPane.rightAnchor="149.0" AnchorPane.topAnchor="13.0" />
                            </children>
                        </AnchorPane>
                        <GridPane GridPane.rowIndex="1">
                            <columnConstraints>
                                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="60.0" prefWidth="100.0" />
                                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="30.0" prefWidth="100.0" />
                                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="10.0" prefWidth="100.0" />
                            </columnConstraints>
                            <rowConstraints>
                                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                            </rowConstraints>
                            <children>
                                <Label text="All Outgoing Requests" GridPane.halignment="CENTER" GridPane.valignment="CENTER">
                                    <font>
                                        <Font name="System Bold" size="15.0" />
                                    </font>
                                </Label>
                                <ComboBox fx:id="comboFilter" prefWidth="150.0" GridPane.columnIndex="1" GridPane.halignment="CENTER">
                                    <GridPane.margin>
                                        <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                                    </GridPane.margin>
                                </ComboBox>
                                <Label onMouseClicked="#clearCombo" text="Clear" textFill="#0000EE" GridPane.columnIndex="2" />
                            </children>
                        </GridPane>
                    </children>
                </GridPane>
                <GridPane prefWidth="487.0" GridPane.columnIndex="1">
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints minHeight="10.0" percentHeight="8.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" percentHeight="8.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <GridPane prefHeight="304.0" prefWidth="415.0" GridPane.rowIndex="2">
                            <columnConstraints>
                                <ColumnConstraints hgrow="SOMETIMES" maxWidth="202.0" minWidth="10.0" percentWidth="30.0" prefWidth="147.0" />
                                <ColumnConstraints hgrow="SOMETIMES" maxWidth="202.0" minWidth="10.0" percentWidth="30.0" prefWidth="147.0" />
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="294.0" minWidth="10.0" percentWidth="40.0" prefWidth="268.0" />
                            </columnConstraints>
                            <rowConstraints>
                                <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                                <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" percentHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                            </rowConstraints>
                            <children>
                                <Label text="Birth Gender">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Age" GridPane.rowIndex="1">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Date of Death" GridPane.rowIndex="2">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Blood Type" GridPane.rowIndex="3">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Smoker" GridPane.rowIndex="4">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Alcohol Consumption" GridPane.rowIndex="5">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="BMI" GridPane.rowIndex="6">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Outgoing Time" GridPane.rowIndex="8">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Label text="Request Status" GridPane.rowIndex="7">
                                    <GridPane.margin>
                                        <Insets left="10.0" />
                                    </GridPane.margin>
                                </Label>
                                <Text fx:id="birthGenderLbl" strokeType="OUTSIDE" strokeWidth="0.0" GridPane.columnIndex="2" />
                                <Text fx:id="ageLbl" strokeType="OUTSIDE" strokeWidth="0.0" GridPane.columnIndex="2" GridPane.rowIndex="1" />
                                <Text fx:id="dateOfDeathLbl" strokeType="OUTSIDE" strokeWidth="0.0" GridPane.columnIndex="2" GridPane.rowIndex="2" />
                                <Text fx:id="bloodTypeLbl" strokeType="OUTSIDE" strokeWidth="0.0" GridPane.columnIndex="2" GridPane.rowIndex="3" />
                                <Text fx:id="smokerLbl" strokeType="OUTSIDE" strokeWidth="0.0" GridPane.columnIndex="2" GridPane.rowIndex="4" />
                                <Text fx:id="alcoholConsumptionLbl" strokeType="OUTSIDE" strokeWidth="0.0" GridPane.columnIndex="2" GridPane.rowIndex="5" />
                                <Text fx:id="bmiLbl" strokeType="OUTSIDE" strokeWidth="0.0" GridPane.columnIndex="2" GridPane.rowIndex="6" />
                                <Text fx:id="statusLbl" strokeType="OUTSIDE" strokeWidth="0.0" GridPane.columnIndex="2" GridPane.rowIndex="7" />
                                <Text fx:id="outgoingTimeLbl" strokeType="OUTSIDE" strokeWidth="0.0" GridPane.columnIndex="2" GridPane.rowIndex="8" />
                        <Button fx:id="transferButton" mnemonicParsing="false" onAction="#transferNotification" text="Transfer" textAlignment="CENTER" GridPane.halignment="CENTER" GridPane.hgrow="ALWAYS" GridPane.rowIndex="9" GridPane.valignment="CENTER" GridPane.vgrow="ALWAYS">
                           <GridPane.margin>
                              <Insets bottom="15.0" left="15.0" right="15.0" top="15.0" />
                           </GridPane.margin></Button>
                        <Button fx:id="denyButton" mnemonicParsing="false" onAction="#denyNotification" text="Deny" GridPane.columnIndex="1" GridPane.halignment="CENTER" GridPane.hgrow="ALWAYS" GridPane.rowIndex="9" GridPane.valignment="CENTER" GridPane.vgrow="ALWAYS">
                           <GridPane.margin>
                              <Insets bottom="15.0" left="15.0" right="15.0" top="15.0" />
                           </GridPane.margin></Button>
                            </children>
                            <GridPane.margin>
                                <Insets left="10.0" />
                            </GridPane.margin>
                        </GridPane>
                  <GridPane>
                    <rowConstraints>
                      <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                  </GridPane>
                  <GridPane GridPane.rowIndex="1">
                    <columnConstraints>
                      <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="30.0" prefWidth="100.0" />
                      <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="25.0" prefWidth="100.0" />
                    </columnConstraints>
                    <rowConstraints>
                      <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                     <children>
                        <Button fx:id="withdrawButton" mnemonicParsing="false" onAction="#withdrawNotification" text="Withdraw" GridPane.columnIndex="1" GridPane.halignment="RIGHT" />
                              <Label alignment="CENTER" prefHeight="31.0" prefWidth="487.0" text="Details">
                                  <font>
                                      <Font name="System Bold" size="15.0" />
                                  </font>
                              </Label>
                     </children>
                  </GridPane>
                    </children>
                </GridPane>
            </children>
        </GridPane>
    </children>
</AnchorPane>
